{% load static %}
{% block body %}
    <div class="container-form">
        {% with url_name=request.resolver_match.url_name %}
            {% if url_name == 'form' %}
                <h1>Add a reminder</h1>
            {% else %}
                <h1>Masukkan Aktivitasmu</h1>
            {% endif %}
        {% endwith %}

        <form action="/jadwal/" method="POST">
            {% csrf_token %}
            <table>
                <tr>
                    {{ form.as_table }}
                </tr>
            </table>
            {% with url_name=request.resolver_match.url_name %}
            {% if url_name == 'delete_activity' %}
                <a href="/show">
                    <button class="btn btn-danger" type="submit">Delete</button>
                </a>
            {% else %}
                <button class="btn-success" type="submit">Add</button>
            {% endif %}
            {% endwith %}
        </form>
        {% if messages %}
        <ul class="messages">
            {% for message in messages %}
                <li{% if message.tags %} class="{{ message.tags }}"{% endif %}>{{ message }}</li>
            {% endfor %}
        </ul>
        {% endif %}
    </div>
    <table style="width:100%">
        <tr>
            <th>Activity</th>
            <th>Date</th>
            <th>Time</th>
            <th>Place</th>
            <th>Category</th>
        </tr>
        {% for m in all_mod %}
        <tr>
            <td align = "center">{{ m.kegiatan }}</td>
            <td align = "center">{{ m.tanggal_kegiatan }}</td>
            <td align = "center">{{ m.waktu_kegiatan }}</td>
            <td align = "center">{{ m.tempat }}</td>
            <td align = "center">{{ m.kategori }}</td>
            <td> 
                <a href="{% url 'homepage:delete' m.id %}">delete</a>
                <!-- <form action="delete/" method="POST">   
                    <button class="btn btn-danger" type="submit">Delete</button>
                </form> -->
            </td>
        </tr>
        {% endfor %}
    </table>
    
    
{% endblock %}